psychopy.org | Reference | Downloads | Github

Psychopy error codes when trying to run experiment

#1

If this template helps then use it. If not then just delete and start from scratch.

OS (e.g. Win10):
PsychoPy version (e.g. 1.84.x):
Standard Standalone? (y/n) If not then what?:
What are you trying to achieve?:
I am trying to run a stroop task in Psychopy
What did you try to make it work?:
When I pressed run it comes up with an error message


DOES ANYONE KNOW WHAT THIS MEANS AND HOW TO FIX IT!!!
What specifically went wrong when you tried that?:

Include pasted full error message if possible. “That didn’t work” is not enough information.

#2

@Laura_Makin, can you let us know which version of PsychoPy you are using? Some of these issues may have already been fixed in more recent releases.

#3

I’m using version 3 of psychopy

#4

The exact version is v3.1.0

#5

@dvbridges would this error effect the code of the experiment?

#6

@Laura_Makin, I am not sure. Can you share your psyexp file please?

#7

EXP 1.psyexp (9.7 KB)
This is the file it is a stroop style task

#8

Can you please copy and paste the whole error message? Also, try going to Preferences in the file menu, and switching the window type to glfw.

#9



#10

I think this issue might be related to driver issues see link. Jon mentions that " Unable to share contexts is generally a driver issue", and the recommendation is to update your graphics card drivers.

#11

Okay thank you do you know how I can update the graphics card drivers?

#12

I think it would be best if you google “how to update your graphics card drivers” with the addition of your operation system e.g., windows 10. You might not actually have a separate graphics card, the graphics processor might be built-in, but you can still update the graphics drivers. Alternatively, you could try using the “GLFW” screen type in the Preferences settings in the File menu.